Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 591560 - Meeting times shifted in Calendar
Meeting times shifted in Calendar
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
12
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 10:48 EDT by Russell Doty
Modified: 2010-12-03 09:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:46:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Doty 2010-05-12 10:48:03 EDT
Description of problem:

All meeting times shifted 3 hours later (e.g. a 9:00am meeting is showing at 12:00 noon). All calendar entries are in a Zimbra calendar connected through CalDAV.

Calendar entries are still correct in Zimbra. The Evolution display can be re-set to the correct values by unselecting then selecting "Use System Time" in Preferences.

This problem first showed up this week.

Version-Release number of selected component (if applicable):

Evolution 2.28.3

How reproducible:

Every time Evolution is started.

Steps to Reproduce:
1. Start Evolution
2. Switch to Calendar view
3.
  
Actual results:

All meetings are shown as occuring 3 hours after their actual time

Expected results:

Meetings are shown at their correct time.

Additional info:
Comment 1 Milan Crha 2010-05-12 11:31:57 EDT
Thanks for a bug report. Did you update tzdata package this week?

That workaround for select/unselect "Use System Timezone", are you supposed to do this every Evolution start? Like you close evolution, run it (no --force-shutdown), and the times are shifted again? I'm guessing either for something with gconf or tzdata, but that's just a quick guess.
Comment 2 Milan Crha 2010-05-20 08:00:54 EDT
I tried to reproduce it with no luck. Mine old tzdata package was
tzdata-2009o-2.fc12.noarch
updated to
tzdata-2010i-1.fc12.noarch
and everything seems the same. Mine timezone is Europe/Prague set in evolution, same as is shown beside "use system time zone" check box in Preferences. So I guess it might not be that.

Could you save one of incorrectly shown event to a file, before and after you change the setting in Preferences to make it behave properly, and also before you change it, right click in a Day View above the time column, and see what is the first line of "Show the second time zone" submenu, please? it should be the name of a timezone currently used in the day view, and should be the same as in Preferences.

Thanks in advance.
Comment 3 Bug Zapper 2010-11-03 11:00:48 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 09:46:39 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.